/* 
    Copyright 2015 Rodrigo Fernandes da Costa

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author: Rodrigo Fernandes da Costa
    E-mail: rodrigo5244@gmail.com
*/

var exposer = {};

exposer.api = function (url, callback) {
    "use strict";

    var request;

    request = new XMLHttpRequest();
    request.addEventListener("load", function () {
        if (callback) {
            callback(request.responseText);
        }
    });
    request.open("GET", url);
    Array.prototype.slice.call(arguments, 2).forEach(function (arg, i) {
        request.setRequestHeader("arg" + i, encodeURI(arg));
    });
    request.send();
};

window.addEventListener("unload", function () {
    "use strict";

    var request = new XMLHttpRequest();
    request.open("GET", "quit", false);
    //request.send();
});
